import request from '@/utils/request'

// 工程监理--监理工作联系单列表
export function apiSupervisionWorkContactLists(params: any) {
    return request.get({ url: '/supervision_work.supervision_work_contact/lists', params })
}

// 添加工程监理--监理工作联系单
export function apiSupervisionWorkContactAdd(params: any) {
    return request.post({ url: '/supervision_work.supervision_work_contact/add', params })
}

// 编辑工程监理--监理工作联系单
export function apiSupervisionWorkContactEdit(params: any) {
    return request.post({ url: '/supervision_work.supervision_work_contact/edit', params })
}

// 删除工程监理--监理工作联系单
export function apiSupervisionWorkContactDelete(params: any) {
    return request.post({ url: '/supervision_work.supervision_work_contact/delete', params })
}

// 工程监理--监理工作联系单详情
export function apiSupervisionWorkContactDetail(params: any) {
    return request.get({ url: '/supervision_work.supervision_work_contact/detail', params })
}

// 工程监理--监理工作联系单详情
export function apisupervision_work_contact_problem(params: any) {
    return request.get({ url: '/supervision_work.supervision_work_contact_problem/lists', params })
}

// 工程监理--监理工作联系单详情
export function apisupervision_work_contact_problem_delete(params: any) {
    return request.post({ url: '/supervision_work.supervision_work_contact_problem/delete', params })
}
